GNUGK(1)

NAME
gnugk - The GNU Gatekeeper

SYNOPSIS
gnugk [-hdrt] [-c filename] [-s section] [-l n] [-b n] [-u name] [-d name] [-rr] [-o filename] [--pid filename] [--core n]

DESCRIPTION
The GNU Gatekeeper is an open-source project that implements a H.323 gatekeeper. A H.323 gatekeeper controls all H.323 clients in its zone. It allows you, among other things, to register devices, make calls, perform AAA (Authentication, Authorization and Auditing), manage configurations at runtime and traverse NAT.

OPTIONS
The behavior of the gatekeeper is determined through command line options and the configuration file. Some command line options may override settings found in the configuration file. For example, the option -l overrides the setting “TimeToLive” in the configuration file. Almost every option has a short and a long format, e.g., -c is the same as --config.

-h --help
    Show all available options and quit the program.

-c --config filename
    Specify the configuration file to use.

-s --section section
    Specify which main section to use in the configuration file. The default is [Gatekeeper::Main].

-l --timetolive n
    Specify the time-to-live timer (in seconds) for endpoint registration. This overrides the setting “TimeToLive” in the configuration file. A detailed explanation can be found in the manual.

-b --bandwidth n
    Specify the total bandwidth available for the gatekeeper. Without specifying this option, bandwidth management is disabled by default.

--pid filename
    Specify the pid file. Only valid for Unix version.

-u --user name
    Run the gatekeeper process as this user. Only valid for Unix versions.

--core n
    (Unix only) Enable writing core dump files when the application crashes. A core dump file will not exceed n bytes in size. A special constant “unlimited” may also be specified.

--mlock
    (Unix only) Lock GnuGk into memory to prevent it being swaped out.

  Gatekeeper Mode
The options in this subsection override the settings in the [RoutedMode] section of the configuration file.

-d --direct
    Use direct endpoint call signaling.

-r --routed
    Use gatekeeper routed call signaling.

-rr --h245routed
    Use gatekeeper routed call signaling and H.245 control channel.

  Debug Information

-o --output filename
    Write trace log to the specified file.

-t --trace
    Set trace verbosity. The more -t you add, the more verbose to output. For example, use -ttttt to set the trace level to 5.

FILES
/etc/gatekeeper.ini

AUTHORS
The project coordinator is Jan Willamowius <jan@willamowius.de>.

SEE ALSO
gatekeeper.ini(5) (and HTML manual)

Project homepage: http://www.gnugk.org/

Manual for latest release: http://www.gnugk.org/gnugk-manual.html

Commercial support: http://www.willamowius.com/gnugk-support.html